{{- if .Values.ingress.enabled }}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ template "app.name" . }}
  namespace: {{ .Release.Namespace }}
  annotations:
{{ toYaml .Values.ingress.annotations | indent 4 }}
  labels:
    {{- include "app.labels" . | nindent 4 }}
spec:
{{- if .Values.ingress.tlsEnabled }}
  tls:
    - hosts:
        - {{ .Values.ingress.frontendDomain }}
      secretName: {{ .Values.ingress.frontendTlsSecretName }}
{{- end }}
  rules:
    - host: {{ .Values.ingress.frontendDomain }}
      http:
        paths:
          - path: /{{ .Release.Namespace }}/{{ template "app.path" . }}(/|$)(.*)
            pathType: Prefix
            backend:
              service:
                name: {{ template "app.name" . }}
                port:
                  number: {{ .Values.ssiAbstraction.agent.peerPort }}
{{- end }}